<template>
  <nut-input
    class="nut-input-text bole-input-text"
    type="text"
    readonly
    alwaysEmbed
    v-bind="$attrs"
  >
    <template #clear>
      <slot name="clear"></slot>
    </template>
    <template #right>
      <slot name="right">
        <RectRight :size="12" class="common-choose-input-icon" />
      </slot>
    </template>
  </nut-input>
</template>

<script setup lang="ts">
import { RectRight } from '@nutui/icons-vue-taro';

defineOptions({
  name: 'ChooseInput',
});
</script>

<style lang="scss">
@import '@/styles/common.scss';

.common-choose-input-icon {
  //   width: 13px;
  //   height: 23px;
  margin-left: 18px;
  color: boleGetCssVar('text-color', 'primary');
}
</style>
